Skip to main content
GET
Retrieve a stored response

Path Parameters

response_id
string
required

Response

Stored response

OpenAI-compatible response object returned by the Responses API.

id
string
required

Unique identifier for this response.

object
string
default:response
required

Object type. Always response.

created_at
integer
required

Unix timestamp (seconds) when the response was created.

model
string
required

Model identifier used to generate the response.

status
enum<string>
required

Status of the response generation.

Available options:
completed,
failed,
in_progress,
incomplete,
cancelled
output
object[]
required

Typed output items produced by the model (for example, messages, function calls, or reasoning items).

output_text
string | null

Convenience field containing concatenated text output from the response.

instructions
string | null

System or developer instructions used for this response.

usage
object | null

Token usage details for the request.

error
object | null

Error details when generation fails.

incomplete_details
object | null

Details about why the response ended before completion.